<?php

namespace common\plugins\sms\smsbao;

use yii;
use yii\helpers\Url;

use common\library\Language;


/**
 * @Id smsbao.plugin.php 2025.6.5 $
 * @author smsbao
 */
return array(
    'code' => 'smsbao',
    'name' => '短信宝',
    'desc' => '短信宝为全国各大开源软件提供全面的短信支持10年积累，专注提供更好的短信服务稳定，快是我们不变的追求！。<a href="https://www.smsbao.com/" target="_blank">接口申请</a>',
    'author' => 'SMSBAO',
	'website' => 'https://www.smsbao.com',
    'version' => '1.0',
    'buttons' => array(
        array(
            'label' => Language::get('manage'),
            'url' => Url::toRoute(['sms/index'])
        )
    ),
    'config' => array(
		'uid' => array(
            'type' => 'text',
            'text' => '短信宝账号'
        ),
		'ApiKey' => array(
            'type' => 'text',
            'text' => 'API Key'
        ),
        'scene' => array(
            'name' => 'config[scene]',
            'type' => 'checkbox',
            'text' => '启用场景',
            'items' => array(
                'register' => '用户注册',
                'find_password' => '找回密码'
            )
        )
    )
);